Subject: Re: client problems

From: Michael Brennen <[email-masked]>
Date: Thu, 13 Feb 1997 12:39:42 -0600 (CST)

boof...  I just checked source at ftpd.c, beta 12, line 1344:

    if (!anonymous) {    /* "ftp" is only account allowed no password */
        if (*passwd == '-')
            passwd++;

You're right.  I figured since '-' was a valid real/guest password
character they would skip the check.  Au contraire... 

   -- Michael

On Thu, 13 Feb 1997, Alain Magloire wrote:

> According to `Michael Brennen':
> > 
> > This is an *old* FAQ; haven't heard this one in a while.  Have him put a -
> > (dash) in front of his password:.  This is only valid for anonymous login. 
> > 
> > [email-masked]
> 
> Actually Michael, I think it applies to all class of users